#!/bin/bash

sudo apt-get install -y unzip 
sudo mkdir -p /usr/local/bin 
sudo unzip -o /tmp/scripts/consul.zip -d /usr/local/bin
mkdir -p /home/ubuntu/consul/config
cat > /home/ubuntu/consul/config/config.json << EOF
{
  "datacenter": "$1",
  "encrypt": "s2aLWrsvz+h0w6HM/NkXRA==",
  "addresses" : {
    "http": "$2"
  }
}
EOF

nohup /usr/local/bin/consul agent -bootstrap-expect=1 -server -data-dir=/home/ubuntu/consul/data -config-file=/home/ubuntu/consul/config/config.json -advertise-wan=$2 -bind=$3 -ui -client=$3 > /home/ubuntu/consul/nohup.out &

sleep 2
